@charset "UTF-8";

/*****************************************************************************/
/*                                                                           */
/* ポップアップスタイル定義	                                                   */
/*                                                                           */
/*****************************************************************************/

.youtube-container {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  text-align: center;
  background: rgba(0, 0, 0, 0.5);
  overflow: auto;
  opacity: 0;
  visibility: hidden;
  transition: .3s ease-out;
  z-index: 99;
}

.youtube-container::before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  height: 100%;
}
    
.youtube-container.active {
  opacity: 1;
  visibility: visible;
}
    
.youtube-container .modal-body {
  position: relative;
  display: inline-block;
  vertical-align: middle;
  max-width: 500px;
  width: 90%;
}
    
.youtube-container .modal-close {
  position: absolute;
  top: -30px;
  right: 0;
  font-size: 14px;
  color: #fff;
  background: rgba(0,0,0,60%);
  padding: 4px 15px;
  cursor: pointer;
  border-radius: 5px 5px 0 0;
}
    
.youtube-container .conf-content {
  background: #fff;
  border: 2px solid #000;
  text-align: left;
  padding: 20px;
  font-weight: bold;
}
  
.youtube-container .en {
  font-family: "Inter";
  margin-right: 15px;
  display: block;
  text-align: center;
  color: #00bfff;
  font-size: 1.2rem;
}
.youtube-container .conf-content .txt {
  text-align: center;
  font-size: 24px;
  font-weight: bold;
  line-height: 200%;
}
.youtube-container .conf-content .gray-bg {
  margin-top: 6px;
  background: #eee;
  border-radius: 10px;
  padding: 10px;
  text-align: left;
}
.youtube-container .conf-content .gray-bg .txt {
  font-size: 0.9rem;
  text-align: left;
}
  
.youtube-container .conf-btn-area {
  width: 100%;
  margin: 10px 0;
  text-align: center;
}
.youtube-container .conf-btn-area .btn-area-no {
  background-color: #00bfff;
  border: 2px solid #00bfff;
}
.youtube-container .conf-btn-area>a {
  font-size: 1.0rem;
  font-weight: bold;
  text-align: center;
  background: #4287f5;
  padding: 6px 10px;
  color: #fff;
  max-width: 120px;
  margin-top: 10px;
  margin-inline: auto;
  border: 2px solid #4287f5;
  text-decoration: none;
}
.youtube-container .conf-btn-area.back>a {
  background: #0A2463;
  margin-inline: none;
  margin-right: auto;
  margin-bottom: 40px;
  margin-left: 0;
  border: 2px solid #0A2463;
}
.youtube-container .conf-msg {
  font-size: 0.9rem;
  color: #00bfff;
}
.youtube-container .error-msg {
  font-size: 1.0rem;
  color: #ff0000;
}
.youtube-container .password {
  margin: 15px 0;
  input {
    width: 130px;
    margin-left: 10px;
    font-family: inherit;
    font-size: 1.0rem;
    border-radius: .25rem;
    border: 1px solid #707070;
    outline: none;
    padding: 0.375em 0.75em;
  }
}

